%define name	gnu-efi
%define version	3.0a
%define release	1mdk

Summary:	Development Libraries and headers for EFI
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/Kernel
License:	GPL
URL:		ftp://ftp.hpl.hp.com/pub/linux-ia64/
Source0:	gnu-efi-%{version}.tar.bz2
Patch0:		gnu-efi-3.0a-makefile.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	binutils
ExclusiveArch:	ia64

%description
This package contains development headers and libraries for developing
IA-64 EFI (Extensible Firmware Interface) applications.

%prep
%setup -q -n gnu-efi-%{version}
%patch0 -p1 -b .makefile

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}
make INSTALLROOT=$RPM_BUILD_ROOT%{_prefix} install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/gnuefi
mv $RPM_BUILD_ROOT%{_libdir}/*.{o,lds} $RPM_BUILD_ROOT%{_libdir}/gnuefi

make -C apps clean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc README.* ChangeLog apps
%dir %{_includedir}/efi
%{_includedir}/efi/*.h
%{_includedir}/efi/ia64
%{_includedir}/efi/protocol
%dir %{_libdir}/gnuefi
%{_libdir}/*.a
%{_libdir}/gnuefi/*.o
%{_libdir}/gnuefi/*.lds

%changelog
* Mon May 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0a-1mdk
- 3.0a

* Thu Sep  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-2mdk
- Clean spec file
- Patch0: disable constants merging (add -fno-merge-constants to CFLAGS)

* Wed Jul  4 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 3.0-1mdk
- 3.0

* Tue Apr 24 2001 Francis Galiegue <fg@mandrakesoft.com> 2.0-1mdk
- 2.0
- new: elilo
- BuildRequires: old-binutils

* Wed Jan 24 2001 Francis Galiegue <fg@mandrakesoft.com> 1.1-1mdk

- Readapted from RH SRPM

* Tue Dec  5 2000 Bill Nottingham <notting@redhat.com>
- update to 1.1

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- add patch for new toolchain, update to 1.0

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9
